Skip to content

Clone an automation

Request

Create a copy of an existing automation with a new name. The cloned automation will be in a stopped state.

Security
bearerAuth
Bodyapplication/jsonrequired
flow_uuidstringrequired

UUID of the automation to clone.

namestringrequired
Example:"Campaign Q2 - Copy"
flow_workspace_uuidstring
POST
/flows/api/flows/clone
curl -i -X POST \
  https://leadgen.grinfi.io/flows/api/flows/clone \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "flow_uuid": "string",
    "name": "Campaign Q2 - Copy",
    "flow_workspace_uuid": "string"
  }'

Responses

Cloned automation.

Bodyapplication/json
uuidstring
Example:"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
public_uuidstring or null
team_idinteger
namestring
Example:"DACH CTO Outreach"
flow_workspace_uuidstring or null
flow_version_uuidstring
use_sender_scheduleboolean

When true, tasks use each sender profile's own schedule instead of the flow schedule.

scheduleobject(schedule)

Working hours schedule.

descriptionstring or null
priorityinteger
statusstring

Flow status.

Enum:"on""off""draft""archived"
Example:"on"
is_publicboolean
user_idinteger
created_atstring, (date-time)
updated_atstring, (date-time)
Response
{ "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "public_uuid": "string", "team_id": 0, "name": "DACH CTO Outreach", "flow_workspace_uuid": "string", "flow_version_uuid": "string", "use_sender_schedule": true, "schedule": { "timezone": "Europe/Berlin", "use_lead_timezone": false, "timeblocks": [] }, "description": "string", "priority": 0, "status": "on", "is_public": true, "user_id": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }